Package fr.gouv.vitam.collect.common.dto

# Class ProjectDto

java.lang.Object
fr.gouv.vitam.collect.common.dto.ProjectDto

All Implemented Interfaces:
  `Serializable`

public class ProjectDto extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectDto()`
  `ProjectDto(String id)`
  `ProjectDto(String id, String name, String acquisitionInformation, String legalStatus, String creationDate, String lastUpdate, String status, String archivalAgreement, String messageIdentifier, String archivalAgencyIdentifier, String transferringAgencyIdentifier, String originatingAgencyIdentifier, String submissionAgencyIdentifier, String archivalProfile, String comment, String unitUp, Integer tenant, Boolean automaticIngest, String archivingSystemId, Integer archivingSystemTenant, Boolean connectedToArchivingSystem)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAcquisitionInformation()`
  `String`
  `getArchivalAgencyIdentifier()`
  `String`
  `getArchivalAgreement()`
  `String`
  `getArchivalProfile()`
  `String`
  `getArchivingSystemId()`
  `Integer`
  `getArchivingSystemTenant()`
  `Boolean`
  `getAutomaticIngest()`
  `String`
  `getComment()`
  `Boolean`
  `getConnectedToArchivingSystem()`
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `String`
  `getLastUpdate()`
  `String`
  `getLegalStatus()`
  `String`
  `getMessageIdentifier()`
  `String`
  `getName()`
  `String`
  `getOriginatingAgencyIdentifier()`
  `String`
  `getStatus()`
  `String`
  `getSubmissionAgencyIdentifier()`
  `Integer`
  `getTenant()`
  `String`
  `getTransferringAgencyIdentifier()`
  `String`
  `getTransformationRules()`
  Get transformation rules (beta): JSTL transformation template to be applied over Archive Unit JSON documents on zip transaction upload for providing customized updates : add rule, unset field, set field...).
  `String`
  `getUnitUp()`
  `List<MetadataUnitUp>`
  `getUnitUps()`
  `int`
  `hashCode()`
  `ProjectDto`
  `setAcquisitionInformation(String acquisitionInformation)`
  `ProjectDto`
  `setArchivalAgencyIdentifier(String archivalAgencyIdentifier)`
  `ProjectDto`
  `setArchivalAgreement(String archivalAgreement)`
  `ProjectDto`
  `setArchivalProfile(String archivalProfile)`
  `ProjectDto`
  `setArchivingSystemId(String archivingSystemId)`
  `ProjectDto`
  `setArchivingSystemTenant(Integer archivingSystemTenant)`
  `ProjectDto`
  `setAutomaticIngest(Boolean automaticIngest)`
  `ProjectDto`
  `setComment(String comment)`
  `ProjectDto`
  `setConnectedToArchivingSystem(Boolean connectedToArchivingSystem)`
  `ProjectDto`
  `setCreationDate(String creationDate)`
  `ProjectDto`
  `setId(String id)`
  `ProjectDto`
  `setLastUpdate(String lastUpdate)`
  `ProjectDto`
  `setLegalStatus(String legalStatus)`
  `ProjectDto`
  `setMessageIdentifier(String messageIdentifier)`
  `ProjectDto`
  `setName(String name)`
  `ProjectDto`
  `setOriginatingAgencyIdentifier(String originatingAgencyIdentifier)`
  `ProjectDto`
  `setStatus(String status)`
  `ProjectDto`
  `setSubmissionAgencyIdentifier(String submissionAgencyIdentifier)`
  `ProjectDto`
  `setTenant(Integer tenant)`
  `ProjectDto`
  `setTransferringAgencyIdentifier(String transferringAgencyIdentifier)`
  `ProjectDto`
  `setTransformationRules(String transformationRules)`
  Set transformation rules (beta): JSTL transformation template to be applied over Archive Unit JSON documents on zip transaction upload for providing customized updates : add rule, unset field, set field...).
  `ProjectDto`
  `setUnitUp(String unitUp)`
  `ProjectDto`
  `setUnitUps(List<MetadataUnitUp> unitUps)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectDto

    public ProjectDto()

  - ### ProjectDto

    public ProjectDto(String id)

  - ### ProjectDto

    public ProjectDto(String id, String name, String acquisitionInformation, String legalStatus, String creationDate, String lastUpdate, String status, String archivalAgreement, String messageIdentifier, String archivalAgencyIdentifier, String transferringAgencyIdentifier, String originatingAgencyIdentifier, String submissionAgencyIdentifier, String archivalProfile, String comment, String unitUp, Integer tenant, Boolean automaticIngest, String archivingSystemId, Integer archivingSystemTenant, Boolean connectedToArchivingSystem)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public ProjectDto setId(String id)

  - ### getName

    public String getName()

  - ### setName

    public ProjectDto setName(String name)

  - ### getArchivalAgreement

    public String getArchivalAgreement()

  - ### setArchivalAgreement

    public ProjectDto setArchivalAgreement(String archivalAgreement)

  - ### getMessageIdentifier

    public String getMessageIdentifier()

  - ### setMessageIdentifier

    public ProjectDto setMessageIdentifier(String messageIdentifier)

  - ### getArchivalAgencyIdentifier

    public String getArchivalAgencyIdentifier()

  - ### setArchivalAgencyIdentifier

    public ProjectDto setArchivalAgencyIdentifier(String archivalAgencyIdentifier)

  - ### getTransferringAgencyIdentifier

    public String getTransferringAgencyIdentifier()

  - ### setTransferringAgencyIdentifier

    public ProjectDto setTransferringAgencyIdentifier(String transferringAgencyIdentifier)

  - ### getOriginatingAgencyIdentifier

    public String getOriginatingAgencyIdentifier()

  - ### setOriginatingAgencyIdentifier

    public ProjectDto setOriginatingAgencyIdentifier(String originatingAgencyIdentifier)

  - ### getSubmissionAgencyIdentifier

    public String getSubmissionAgencyIdentifier()

  - ### setSubmissionAgencyIdentifier

    public ProjectDto setSubmissionAgencyIdentifier(String submissionAgencyIdentifier)

  - ### getArchivalProfile

    public String getArchivalProfile()

  - ### setArchivalProfile

    public ProjectDto setArchivalProfile(String archivalProfile)

  - ### getAcquisitionInformation

    public String getAcquisitionInformation()

  - ### setAcquisitionInformation

    public ProjectDto setAcquisitionInformation(String acquisitionInformation)

  - ### getLegalStatus

    public String getLegalStatus()

  - ### setLegalStatus

    public ProjectDto setLegalStatus(String legalStatus)

  - ### getComment

    public String getComment()

  - ### setComment

    public ProjectDto setComment(String comment)

  - ### getUnitUp

    public String getUnitUp()

  - ### setUnitUp

    public ProjectDto setUnitUp(String unitUp)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public ProjectDto setTenant(Integer tenant)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public ProjectDto setCreationDate(String creationDate)

  - ### getLastUpdate

    public String getLastUpdate()

  - ### setLastUpdate

    public ProjectDto setLastUpdate(String lastUpdate)

  - ### getUnitUps

    public List<MetadataUnitUp> getUnitUps()

  - ### setUnitUps

    public ProjectDto setUnitUps(List<MetadataUnitUp> unitUps)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public ProjectDto setStatus(String status)

  - ### getAutomaticIngest

    public Boolean getAutomaticIngest()

  - ### setAutomaticIngest

    public ProjectDto setAutomaticIngest(Boolean automaticIngest)

  - ### getArchivingSystemId

    public String getArchivingSystemId()

  - ### setArchivingSystemId

    public ProjectDto setArchivingSystemId(String archivingSystemId)

  - ### getConnectedToArchivingSystem

    public Boolean getConnectedToArchivingSystem()

  - ### setConnectedToArchivingSystem

    public ProjectDto setConnectedToArchivingSystem(Boolean connectedToArchivingSystem)

  - ### getArchivingSystemTenant

    public Integer getArchivingSystemTenant()

  - ### setArchivingSystemTenant

    public ProjectDto setArchivingSystemTenant(Integer archivingSystemTenant)

  - ### getTransformationRules

    @Beta public String getTransformationRules()
    Get transformation rules (beta): JSTL transformation template to be applied over Archive Unit JSON documents on zip transaction upload for providing customized updates : add rule, unset field, set field...).

  - ### setTransformationRules

    @Beta public ProjectDto setTransformationRules(String transformationRules)
    Set transformation rules (beta): JSTL transformation template to be applied over Archive Unit JSON documents on zip transaction upload for providing customized updates : add rule, unset field, set field...).

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`